<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE AppModule SYSTEM "jbo_03_01.dtd">

<AppModule
   Name="AppModule"
   ComponentClass="model.AppModuleImpl"
   ComponentInterface="model.common.AppModule"
   ClientProxyName="model.client.AppModuleClient" >
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="9.0.5.15.88" />
      <Attr Name="_deployType" Value="0" />
      <Attr Name="_ejbAppModule" Value="false" />
   </DesignTime>
   <ViewUsage
      Name="DepartmentsView1"
      ViewObjectName="model.DepartmentsView" >
   </ViewUsage>
   <ViewUsage
      Name="EmployeesView1"
      ViewObjectName="model.EmployeesView" >
   </ViewUsage>
   <ViewUsage
      Name="DepartmentsView2"
      ViewObjectName="model.DepartmentsView" >
   </ViewUsage>
   <ViewUsage
      Name="EmployeesView2"
      ViewObjectName="model.EmployeesView" >
   </ViewUsage>
   <ViewUsage
      Name="EmployeesView3"
      ViewObjectName="model.EmployeesView" >
   </ViewUsage>
   <ViewUsage
      Name="AuthenticateUser1"
      ViewObjectName="model.AuthenticateUser" >
   </ViewUsage>
   <ViewLinkUsage
      Name="DeptMgrFkLink1"
      ViewLinkObjectName="model.DeptMgrFkLink"
      SrcViewUsageName="model.AppModule.EmployeesView1"
      DstViewUsageName="model.AppModule.DepartmentsView2" >
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="9.0.5.15.88" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="EmpManagerFkLink1"
      ViewLinkObjectName="model.EmpManagerFkLink"
      SrcViewUsageName="model.AppModule.EmployeesView1"
      DstViewUsageName="model.AppModule.EmployeesView2" >
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="9.0.5.15.88" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="EmpDeptFkLink1"
      ViewLinkObjectName="model.EmpDeptFkLink"
      SrcViewUsageName="model.AppModule.DepartmentsView1"
      DstViewUsageName="model.AppModule.EmployeesView3" >
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="9.0.5.15.88" />
      </DesignTime>
   </ViewLinkUsage>
</AppModule>
